org.apache.calcite.avatica.proto

## Enum Common.StateType

- java.lang.Object
- - java.lang.Enum<Common.StateType>
  - - org.apache.calcite.avatica.proto.Common.StateType

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<Common.StateType>

Enclosing class:
  Common

    public static enum Common.StateType
    extends Enum<Common.StateType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `StateType`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`METADATA` `METADATA = 1;`
`SQL` `SQL = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`private static com.google.protobuf.Internal.EnumLiteMap<Common.StateType>` `internalValueMap`
`static int` `METADATA_VALUE` `METADATA = 1;`
`static int` `SQL_VALUE` `SQL = 0;`
`private int` `value`
`private static Common.StateType[]` `VALUES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static Common.StateType` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<Common.StateType>` `internalGetValueMap()`
`static Common.StateType` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static Common.StateType` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static Common.StateType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Common.StateType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SQL

    public static final Common.StateType SQL

`SQL = 0;`

#### METADATA

    public static final Common.StateType METADATA

`METADATA = 1;`

#### UNRECOGNIZED

    public static final Common.StateType UNRECOGNIZED

### Field Detail

#### SQL_VALUE

    public static final int SQL_VALUE

`SQL = 0;`

See Also:
  Constant Field Values

#### METADATA_VALUE

    public static final int METADATA_VALUE

`METADATA = 1;`

See Also:
  Constant Field Values

#### internalValueMap

    private static final com.google.protobuf.Internal.EnumLiteMap<Common.StateType> internalValueMap

#### VALUES

    private static final Common.StateType[] VALUES

#### value

    private final int value

### Method Detail

#### values

    public static Common.StateType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Common.StateType c : Common.StateType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Common.StateType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static Common.StateType valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

#### forNumber

    public static Common.StateType forNumber(int value)

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<Common.StateType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static Common.StateType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)